This document lists the events and parameters for
various types of
Tasks Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=tasks`.

## Recurrence Change


The recurrence of a task was changed (includes creating or deleting a recurrence).
Events of this type are returned with `type=recurrence_change`.

### Recurrence Created

Event details Event name `recurrence_created` Parameters `host_product` `string`


Product in which the user triggered the action.
`recurrence_id` `string`


Identifier for a recurring task.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_list_title` `string`


Title of the task list that was edited.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`task_title` `string`


Title of the task that was edited.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=recurrence_created&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} created recurring task "{task_title}".`

### Recurrence Created From Task

Event details Event name `recurrence_created_from_task` Parameters `host_product` `string`


Product in which the user triggered the action.
`recurrence_id` `string`


Identifier for a recurring task.
`task_id` `string`


Identifier of the task that was edited.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`task_title` `string`


Title of the task that was edited.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=recurrence_created_from_task&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} made task "{task_title}" recurring.`

### Recurrence Deleted

Event details Event name `recurrence_deleted` Parameters `host_product` `string`


Product in which the user triggered the action.
`recurrence_id` `string`


Identifier for a recurring task.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`task_title` `string`


Title of the task that was edited.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=recurrence_deleted&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted recurring task "{task_title}".`

### Recurrence Modified

Event details Event name `recurrence_modified` Parameters `host_product` `string`


Product in which the user triggered the action.
`recurrence_id` `string`


Identifier for a recurring task.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`task_title` `string`


Title of the task that was edited.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=recurrence_modified&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} modified recurring task "{task_title}".`

### Recurrence Title Changed

Event details Event name `recurrence_title_changed` Parameters `host_product` `string`


Product in which the user triggered the action.
`new_task_title` `string`


New title of a task (if the task title was changed).
`recurrence_id` `string`


Identifier for a recurring task.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`task_title` `string`


Title of the task that was edited.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=recurrence_title_changed&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed the title of recurring task "{task_title}" to "{new_task_title}".`

## Task Change


A task was changed (also includes creations or deletions of tasks).
Events of this type are returned with `type=task_change`.

### Task Assigned

Event details Event name `task_assigned` Parameters `assignee_email` `string`


Email address of the task's assignee.
`host_product` `string`


Product in which the user triggered the action.
`shared_task_origin_type` `string`


The type of shared surface this task was assigned from.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `document`  
  The task was assigned from a Google Doc.
`task_id` `string`


Identifier of the task that was edited.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_origin_space` `string`


The URL of the shared surface this task was assigned from.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`task_time` `string`


The date or time of the task.
`task_title` `string`


Title of the task that was edited.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=task_assigned&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} assigned task "{task_title}" to {assignee_email}.`

### Task Completed

Event details Event name `task_completed` Parameters `host_product` `string`


Product in which the user triggered the action.
`recurrence_id` `string`


Identifier for a recurring task.
`shared_task_origin_type` `string`


The type of shared surface this task was assigned from.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `document`  
  The task was assigned from a Google Doc.
`task_id` `string`


Identifier of the task that was edited.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_origin_space` `string`


The URL of the shared surface this task was assigned from.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`task_title` `string`


Title of the task that was edited.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=task_completed&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} completed task "{task_title}".`

### Task Created

Event details Event name `task_created` Parameters `host_product` `string`


Product in which the user triggered the action.
`task_creation_point_type` `string`


The type of origin this task was created from.
Possible values:

- `chat_message`  
  The task was created from a chat message in Google Chat.
- `checkbox`  
  The task was created from a checkbox in Google Docs.
- `email`  
  The task was created from an email in Gmail.
`task_creation_point_url` `string`


The URL of the origin this task was created from.
`task_id` `string`


Identifier of the task that was edited.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_list_title` `string`


Title of the task list that was edited.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`task_time` `string`


The date or time of the task.
`task_title` `string`


Title of the task that was edited.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=task_created&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} created task "{task_title}".`

### Task Deleted

Event details Event name `task_deleted` Parameters `host_product` `string`


Product in which the user triggered the action.
`recurrence_id` `string`


Identifier for a recurring task.
`shared_task_origin_type` `string`


The type of shared surface this task was assigned from.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `document`  
  The task was assigned from a Google Doc.
`task_id` `string`


Identifier of the task that was edited.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_origin_space` `string`


The URL of the shared surface this task was assigned from.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`task_title` `string`


Title of the task that was edited.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=task_deleted&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted task "{task_title}".`

### Task Marked As Spam

Event details Event name `task_marked_as_spam` Parameters `host_product` `string`


Product in which the user triggered the action.
`shared_task_origin_type` `string`


The type of shared surface this task was assigned from.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `document`  
  The task was assigned from a Google Doc.
`task_id` `string`


Identifier of the task that was edited.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_origin_space` `string`


The URL of the shared surface this task was assigned from.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`task_title` `string`


Title of the task that was edited.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=task_marked_as_spam&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} marked task "{task_title}" as spam.`

### Task Modified

Event details Event name `task_modified` Parameters `host_product` `string`


Product in which the user triggered the action.
`recurrence_id` `string`


Identifier for a recurring task.
`shared_task_origin_type` `string`


The type of shared surface this task was assigned from.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `document`  
  The task was assigned from a Google Doc.
`task_id` `string`


Identifier of the task that was edited.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_origin_space` `string`


The URL of the shared surface this task was assigned from.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`task_title` `string`


Title of the task that was edited.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=task_modified&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} modified task "{task_title}".`

### Task Moved Between Lists

Event details Event name `task_moved_between_lists` Parameters `host_product` `string`


Product in which the user triggered the action.
`new_task_list_id` `string`


New task list id of a task (if the task was moved to a different list).
`new_task_list_title` `string`


New title of a task list (if the task list title was changed).
`task_id` `string`


Identifier of the task that was edited.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_list_title` `string`


Title of the task list that was edited.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`task_title` `string`


Title of the task that was edited.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=task_moved_between_lists&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} moved task "{task_title}" to task list "{new_task_list_title}".`

### Task Reassigned

Event details Event name `task_reassigned` Parameters `assignee_email` `string`


Email address of the task's assignee.
`host_product` `string`


Product in which the user triggered the action.
`new_assignee_email` `string`


Email address of the task's new assignee.
`shared_task_origin_type` `string`


The type of shared surface this task was assigned from.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `document`  
  The task was assigned from a Google Doc.
`task_id` `string`


Identifier of the task that was edited.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_origin_space` `string`


The URL of the shared surface this task was assigned from.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`task_title` `string`


Title of the task that was edited.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=task_reassigned&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} reassigned task "{task_title}" to {new_assignee_email}.`

### Task Restored

Event details Event name `task_restored` Parameters `host_product` `string`


Product in which the user triggered the action.
`recurrence_id` `string`


Identifier for a recurring task.
`shared_task_origin_type` `string`


The type of shared surface this task was assigned from.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `document`  
  The task was assigned from a Google Doc.
`task_id` `string`


Identifier of the task that was edited.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_origin_space` `string`


The URL of the shared surface this task was assigned from.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`task_title` `string`


Title of the task that was edited.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=task_restored&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} restored the deleted task "{task_title}".`

### Task Time Changed

Event details Event name `task_time_changed` Parameters `host_product` `string`


Product in which the user triggered the action.
`recurrence_id` `string`


Identifier for a recurring task.
`shared_task_origin_type` `string`


The type of shared surface this task was assigned from.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `document`  
  The task was assigned from a Google Doc.
`task_id` `string`


Identifier of the task that was edited.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_origin_space` `string`


The URL of the shared surface this task was assigned from.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`task_time` `string`


The date or time of the task.
`task_title` `string`


Title of the task that was edited.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=task_time_changed&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed the time of task "{task_title}".`

### Task Title Changed

Event details Event name `task_title_changed` Parameters `host_product` `string`


Product in which the user triggered the action.
`new_task_title` `string`


New title of a task (if the task title was changed).
`recurrence_id` `string`


Identifier for a recurring task.
`shared_task_origin_type` `string`


The type of shared surface this task was assigned from.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `document`  
  The task was assigned from a Google Doc.
`task_id` `string`


Identifier of the task that was edited.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_origin_space` `string`


The URL of the shared surface this task was assigned from.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`task_title` `string`


Title of the task that was edited.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=task_title_changed&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed the title of task "{task_title}" to "{new_task_title}".`

### Task Unassigned

Event details Event name `task_unassigned` Parameters `assignee_email` `string`


Email address of the task's assignee.
`host_product` `string`


Product in which the user triggered the action.
`shared_task_origin_type` `string`


The type of shared surface this task was assigned from.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `document`  
  The task was assigned from a Google Doc.
`task_id` `string`


Identifier of the task that was edited.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_origin_space` `string`


The URL of the shared surface this task was assigned from.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`task_title` `string`


Title of the task that was edited.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=task_unassigned&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} unassigned task "{task_title}".`

### Task Uncompleted

Event details Event name `task_uncompleted` Parameters `host_product` `string`


Product in which the user triggered the action.
`recurrence_id` `string`


Identifier for a recurring task.
`shared_task_origin_type` `string`


The type of shared surface this task was assigned from.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `document`  
  The task was assigned from a Google Doc.
`task_id` `string`


Identifier of the task that was edited.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_origin_space` `string`


The URL of the shared surface this task was assigned from.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`task_title` `string`


Title of the task that was edited.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=task_uncompleted&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} marked task "{task_title}" as incomplete.`

## Task List Change


A task list was changed (includes creation or deletion of a task list as well as reordering the tasks inside it).
Events of this type are returned with `type=task_list_change`.

### Completed Tasks Deleted

Event details Event name `task_list_completed_tasks_deleted` Parameters `host_product` `string`


Product in which the user triggered the action.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_list_title` `string`


Title of the task list that was edited.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=task_list_completed_tasks_deleted&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted all completed tasks on task list "{task_list_title}".`

### Task List Created

Event details Event name `task_list_created` Parameters `host_product` `string`


Product in which the user triggered the action.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_list_title` `string`


Title of the task list that was edited.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=task_list_created&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} created task list "{task_list_title}".`

### Task List Deleted

Event details Event name `task_list_deleted` Parameters `host_product` `string`


Product in which the user triggered the action.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_list_title` `string`


Title of the task list that was edited.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=task_list_deleted&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted task list "{task_list_title}".`

### Task List Renamed

Event details Event name `task_list_title_changed` Parameters `host_product` `string`


Product in which the user triggered the action.
`new_task_list_title` `string`


New title of a task list (if the task list title was changed).
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_list_title` `string`


Title of the task list that was edited.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=task_list_title_changed&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} renamed task list "{task_list_title}" to "{new_task_list_title}".`

### Task List Structure Changed

Event details Event name `task_list_structure_changed` Parameters `host_product` `string`


Product in which the user triggered the action.
`task_list_id` `string`


Identifier of the task list that was edited or the task list that contained the edited task.
`task_list_title` `string`


Title of the task list that was edited.
`task_owner` `string`


The owner to which the entity belongs, such as an email address of the user or the URL of a chat space.
`task_owner_type` `string`


The type of owner to which the entity belongs, such as a user or a chat space.
Possible values:

- `chat_space`  
  Indicates that the data belongs to a Google Chat space.
- `user`  
  Indicates that the data belongs to an individual user.
`user_agent` `string`


The user agent from the request that triggered this action.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/tasks?eventName=task_list_structure_changed&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed the structure of task list "{task_list_title}".`